FLEX 3.6 with Air 3.3

Hi,

I'm working on a project where we use flex 3.6 with Adobe Air 3.3. I'm trying to run my tests in IntelliJ, but the IDEA generates an app descripotr with air version 1.5.3. Is it possible that it is decided upon the version of FLEX, and not the air?
In an other project where I use higher flex version, the app descriptor is correct. Unfortunately we have dependencies in this project to flex 3.6, cannot change it yet.

Thanks,
Mark

3 comments
Comment actions Permalink

What is your IntelliJ IDEA version? I hope it is 11.1+.
You need to use custom AIR app descriptor template with 3.3 namespace. And this is not only for FlexUnit - this is for usual Flash run configuration as well. The option is at the AIR Package tab of the Flash build configuration page (Project Structure dialog).

0
Comment actions Permalink

Yes, I am using 11.1.4. I was already using a custom app descriptor, now I tried a generated 3.3, but the one copied each time to the output folder has version 1.5.3.

0
Comment actions Permalink

Sorry, the issue seems to be fixed only in IntelliJ IDEA 12 EAP. Workaround is to configure a separate build configuration for running tests that would use more recent Flex SDK.

0

Please sign in to leave a comment.